package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户会员对象 mall_member_user
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public class MallMemberUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatar;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** openId */
    @Excel(name = "openId")
    private String openid;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechat;

    /** 性别：0-未知，1-男，2-女 */
    @Excel(name = "性别：0-未知，1-男，2-女")
    private String sex;

    /** 用户密码(授权登录的话 暂时没用) */
    @Excel(name = "用户密码(授权登录的话 暂时没用)")
    private String password;

    /** token */
    @Excel(name = "token")
    private String token;

    /** 账户状态：0-正常，1-冻结 */
    @Excel(name = "账户状态：0-正常，1-冻结")
    private String status;

    /** 推荐人ID */
    @Excel(name = "推荐人ID")
    private Long introUser;

    /** 推荐人名称 */
    private String introUserName;

    /** 下级人数 */
    private Integer childrenNum;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String invitationCode;

    /** 父级邀请码 */
    private String parentCode;


    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;

    /** 历史消费金额 */
    @Excel(name = "历史消费金额")
    private BigDecimal allMoney;

    /** 分享时的二维码图片 */
    @Excel(name = "分享时的二维码图片")
    private String qrCode;

    /** 用户等级 */
    @Excel(name = "用户等级")
    private Integer userLevel;

    /** 省id */
    @Excel(name = "省id")
    private Long provinceId;

    /** 市id */
    @Excel(name = "市id")
    private Long cityId;

    /** 区（县）id */
    @Excel(name = "区", readConverterExp = "县=")
    private Long areaId;

    /** 省名 */
    @Excel(name = "省名")
    private String provinceName;

    /** 市名 */
    @Excel(name = "市名")
    private String cityName;

    /** 区名 */
    @Excel(name = "区名")
    private String areaName;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 科目ID */
    @Excel(name = "科目ID")
    private Long subjectId;

    /** 科目名 */
    @Excel(name = "科目名")
    private String subjectName;

    /** 是否开通指南：0-未开通，1-已开通 */
    @Excel(name = "是否开通指南：0-未开通，1-已开通")
    private String isOpen;

    /** 开通指南类型ID */
    @Excel(name = "开通指南类型ID")
    private Long openTypeId;

    /** 开通指南类型名 */
    @Excel(name = "开通指南类型名")
    private String openTypeName;

    /** 开通时间 */
    @Excel(name = "开通时间")
    private String openAt;

    /** 到期时间 */
    @Excel(name = "到期时间")
    private String expireAt;

    /** 注册时间 */
    @Excel(name = "注册时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 登录时间 */
    @Excel(name = "登录时间")
    private String loginAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    /** 发展方向：0-未设置，1-以就业为导向，2-以学科专业为导向，3-已进体制内为导向，4-以保研/考研为导向 */
    private String developDirection;

    /** 选科：0-文科，1-理科 */
    private String subjectType;

    /** 年级：1-高一，2-高二，3-高三 */
    private String grade;

    /** 专业课学校 */
    private String majorSchool;

    /** 文化课学校 */
    private String cultureSchool;

    /** 文化分数 */
    private Integer cultureScore;

    /** 联考分数 */
    private Integer majorScore;

    /** 外语类型：0-英语，1-俄语，2-法语，3-德语，4-日语，5-西班牙语 */
    private Integer languageType;

    /** 外语分数 */
    private Integer languageScore;

    /** 是否修改成绩管理：0-未修改，1已修改 */
    private String scoreModify;

    /** 创作次数 */
    private Integer createNum;

    /** 推广人(0-否,1-是) */
    private Integer sharePerson;

    /** 是否使用会员码0-否 1-是 */
    private Integer useCode;

    /** 会员码id */
    private Long codeId;

    /** 会员码 */
    private String vipCode;

    /** 录取率更新完毕标记 */
    private Integer rateFlag;

    /** 学校ID */
    private Long schoolId;

    /** 小程序邀请二维码图片 */
    private String indexCode;
    /** 小程序邀请展示首页名 */
    private String indexName;
    /** 小程序邀请展示首页logo */
    private String indexLogo;
    /** 小程序邀请人ID */
    private Long indexUserId;
    /** 系统用户ID */
    private Long sysUserId;
    /** 账号 */
    private String sysUserName;
    /** 密码 */
    private String sysUserPassword;
    /** 系统用户帐号状态（0-正常，1-停用） */
    private Integer sysUserStatus;
    /** 是否开通帐号（0-未开通，1-已开通） */
    private Integer isSysUser;
    /** 小程序邀请展示首页名（小程序未修改） */
    private String schoolName;

    /** 小程序邀请价 */
    private BigDecimal indexPrice;

    public BigDecimal getIndexPrice() {
        return indexPrice;
    }

    public void setIndexPrice(BigDecimal indexPrice) {
        this.indexPrice = indexPrice;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public Integer getIsSysUser() {
        return isSysUser;
    }

    public void setIsSysUser(Integer isSysUser) {
        this.isSysUser = isSysUser;
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexLogo() {
        return indexLogo;
    }

    public void setIndexLogo(String indexLogo) {
        this.indexLogo = indexLogo;
    }

    public Long getIndexUserId() {
        return indexUserId;
    }

    public void setIndexUserId(Long indexUserId) {
        this.indexUserId = indexUserId;
    }

    public Long getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }

    public String getSysUserName() {
        return sysUserName;
    }

    public void setSysUserName(String sysUserName) {
        this.sysUserName = sysUserName;
    }

    public String getSysUserPassword() {
        return sysUserPassword;
    }

    public void setSysUserPassword(String sysUserPassword) {
        this.sysUserPassword = sysUserPassword;
    }

    public Integer getSysUserStatus() {
        return sysUserStatus;
    }

    public void setSysUserStatus(Integer sysUserStatus) {
        this.sysUserStatus = sysUserStatus;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Integer getRateFlag() {
        return rateFlag;
    }

    public void setRateFlag(Integer rateFlag) {
        this.rateFlag = rateFlag;
    }

    public Integer getUseCode() {
        return useCode;
    }

    public void setUseCode(Integer useCode) {
        this.useCode = useCode;
    }

    public Long getCodeId() {
        return codeId;
    }

    public void setCodeId(Long codeId) {
        this.codeId = codeId;
    }

    public String getVipCode() {
        return vipCode;
    }

    public void setVipCode(String vipCode) {
        this.vipCode = vipCode;
    }

    public Integer getChildrenNum() {
        return childrenNum;
    }

    public void setChildrenNum(Integer childrenNum) {
        this.childrenNum = childrenNum;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getIntroUserName() {
        return introUserName;
    }

    public void setIntroUserName(String introUserName) {
        this.introUserName = introUserName;
    }

    public Integer getSharePerson() {
        return sharePerson;
    }

    public void setSharePerson(Integer sharePerson) {
        this.sharePerson = sharePerson;
    }

    public Integer getCreateNum() {
        return createNum;
    }

    public void setCreateNum(Integer createNum) {
        this.createNum = createNum;
    }

    public Integer getLanguageType() {
        return languageType;
    }

    public void setLanguageType(Integer languageType) {
        this.languageType = languageType;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getMajorSchool() {
        return majorSchool;
    }

    public void setMajorSchool(String majorSchool) {
        this.majorSchool = majorSchool;
    }

    public String getCultureSchool() {
        return cultureSchool;
    }

    public void setCultureSchool(String cultureSchool) {
        this.cultureSchool = cultureSchool;
    }

    public Integer getCultureScore() {
        return cultureScore;
    }

    public void setCultureScore(Integer cultureScore) {
        this.cultureScore = cultureScore;
    }

    public Integer getMajorScore() {
        return majorScore;
    }

    public void setMajorScore(Integer majorScore) {
        this.majorScore = majorScore;
    }

    public Integer getLanguageScore() {
        return languageScore;
    }

    public void setLanguageScore(Integer languageScore) {
        this.languageScore = languageScore;
    }

    public String getScoreModify() {
        return scoreModify;
    }

    public void setScoreModify(String scoreModify) {
        this.scoreModify = scoreModify;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setOpenid(String openid)
    {
        this.openid = openid;
    }

    public String getOpenid()
    {
        return openid;
    }
    public void setWechat(String wechat)
    {
        this.wechat = wechat;
    }

    public String getWechat()
    {
        return wechat;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setToken(String token)
    {
        this.token = token;
    }

    public String getToken()
    {
        return token;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setIntroUser(Long introUser)
    {
        this.introUser = introUser;
    }

    public Long getIntroUser()
    {
        return introUser;
    }
    public void setInvitationCode(String invitationCode)
    {
        this.invitationCode = invitationCode;
    }

    public String getInvitationCode()
    {
        return invitationCode;
    }
    public void setMoney(BigDecimal money)
    {
        this.money = money;
    }

    public BigDecimal getMoney()
    {
        return money;
    }
    public void setAllMoney(BigDecimal allMoney)
    {
        this.allMoney = allMoney;
    }

    public BigDecimal getAllMoney()
    {
        return allMoney;
    }
    public void setQrCode(String qrCode)
    {
        this.qrCode = qrCode;
    }

    public String getQrCode()
    {
        return qrCode;
    }
    public void setUserLevel(Integer userLevel)
    {
        this.userLevel = userLevel;
    }

    public Integer getUserLevel()
    {
        return userLevel;
    }
    public void setProvinceId(Long provinceId)
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId()
    {
        return provinceId;
    }
    public void setCityId(Long cityId)
    {
        this.cityId = cityId;
    }

    public Long getCityId()
    {
        return cityId;
    }
    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId()
    {
        return areaId;
    }
    public void setProvinceName(String provinceName)
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName()
    {
        return provinceName;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setSubjectName(String subjectName)
    {
        this.subjectName = subjectName;
    }

    public String getSubjectName()
    {
        return subjectName;
    }
    public void setIsOpen(String isOpen)
    {
        this.isOpen = isOpen;
    }

    public String getIsOpen()
    {
        return isOpen;
    }
    public void setOpenTypeId(Long openTypeId)
    {
        this.openTypeId = openTypeId;
    }

    public Long getOpenTypeId()
    {
        return openTypeId;
    }
    public void setOpenTypeName(String openTypeName)
    {
        this.openTypeName = openTypeName;
    }

    public String getOpenTypeName()
    {
        return openTypeName;
    }
    public void setOpenAt(String openAt)
    {
        this.openAt = openAt;
    }

    public String getOpenAt()
    {
        return openAt;
    }
    public void setExpireAt(String expireAt)
    {
        this.expireAt = expireAt;
    }

    public String getExpireAt()
    {
        return expireAt;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setLoginAt(String loginAt)
    {
        this.loginAt = loginAt;
    }

    public String getLoginAt()
    {
        return loginAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getDevelopDirection() {
        return developDirection;
    }

    public void setDevelopDirection(String developDirection) {
        this.developDirection = developDirection;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("avatar", getAvatar())
            .append("name", getName())
            .append("phone", getPhone())
            .append("openid", getOpenid())
            .append("wechat", getWechat())
            .append("sex", getSex())
            .append("password", getPassword())
            .append("token", getToken())
            .append("status", getStatus())
            .append("introUser", getIntroUser())
            .append("invitationCode", getInvitationCode())
            .append("money", getMoney())
            .append("allMoney", getAllMoney())
            .append("qrCode", getQrCode())
            .append("userLevel", getUserLevel())
            .append("provinceId", getProvinceId())
            .append("cityId", getCityId())
            .append("areaId", getAreaId())
            .append("provinceName", getProvinceName())
            .append("cityName", getCityName())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("subjectId", getSubjectId())
            .append("subjectName", getSubjectName())
            .append("isOpen", getIsOpen())
            .append("openTypeId", getOpenTypeId())
            .append("openTypeName", getOpenTypeName())
            .append("openAt", getOpenAt())
            .append("expireAt", getExpireAt())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("loginAt", getLoginAt())
            .append("delFlag", getDelFlag())
            .append("developDirection", getDevelopDirection())
            .append("createNum", getCreateNum())
            .toString();
    }
}
